import java.util.Stack;

/**
 * Driver for in-class conversion of iterative matchParens() method on page 480
 * of the text to a recursive implementation.
 * 
 * @author ICS4U ACES
 * 
 */
public class BracketTest {
	// Temporary storage collection for open brackets...
	private static Stack<Character> stack;

	public static void main(String args[]) {
		String str[] = { "(12)", "x", "3*[2+7)", "[te(st}]ing",
				"<TD><div align='center'></div></TD>",
				"public int [] sum (int n;", "<p>Bracket Matching</p",
				"[t(es)(ti)g123]" };

		for (int i = 0; i < str.length; i++) {
			stack = new Stack<Character>();
			if (matchParens(str[i], 0))
				System.out.println("Bracket match: " + str[i]);
			else
				System.out.println("Bracket mismatch: " + str[i]);
		}
	}

	/**
	 * Returns true <==> expr contains correctly matching brackets, [],{},(),<>.
	 */
	private static boolean matchParens(String expr, int i) {
		return true;  // edit
	
	
	
	
	
	
	
	
	}

	/**
	 * Convenient utility method in support of matchParens() method
	 * 
	 * @param ch
	 *            the character to be confirmed as an open parenthesis
	 * @return true if an open bracket; false otherwise
	 */
	private static boolean isOpenBracket(char ch) {
		return true;	// edit
	}

	/**
	 * Convenient utility method in support of matchParens() method
	 * 
	 * @param ch
	 *            the character to be confirmed as a closed parenthesis
	 * @return true if a closed bracket; false otherwise
	 */
	private static boolean isCloseBracket(char ch) {
		return true;  // edit
	}

}
